data:extend(
{
  {
    type = "gun",
    name = "gatling-gun",
    icon = "__base2__/graphics/icons/gatling-gun.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "a[basic-clips]-b[gatling-gun-ammunition]",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "gatling-gun-ammunition",
      explosion = "explosion-gunshot",
      cooldown = 4.5,
      movement_slow_down_factor = 0.9,
      projectile_creation_distance = 0.6,
      range = 20,
      sound =
      {
        {
          filename = "__base2__/sound/gat.ogg",
          volume = 0.5
        }
      }
    },
    stack_size = 5,
  },
  {
    type = "gun",
    name = "magic",
    icon = "__base2__/graphics/icons/magic.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "a[basic-magic]-b[magic]",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "magic",
      movement_slow_down_factor = 0,
      cooldown = 20,
      projectile_creation_distance = 0.6,
      range = 22
    },
    stack_size = 1
  },
  {
    type = "gun",
    name = "grenade-shotgun",
    icon = "__base__/graphics/icons/combat-shotgun.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "b[shotgun]-a[combat]",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "grenades",
      movement_slow_down_factor = 0.8,
      cooldown = 50,
      movement_slow_down_factor = 0.5,
      damage_modifier = 1.2,
      projectile_creation_distance = 0.6,
      range = 20,
    },
    stack_size = 5
  },
  {
    type = "gun",
    name = "rocket-thrower",
    icon = "__base2__/graphics/icons/rocket-thrower.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "e[rocket-thrower]",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "i-said-no",
      cooldown = 20,
      movement_slow_down_factor = 0.6,
      projectile_creation_distance = 0.6,
      range = 15,
      cyclic_sound =
      {
        begin_sound =
        {
          {
            filename = "__base__/sound/fight/flamethrower-start.ogg",
            volume = 0.7
          }
        },
        middle_sound =
        {
          {
            filename = "__base__/sound/fight/flamethrower-mid.ogg",
            volume = 0.7
          }
        },
        end_sound =
        {
          {
            filename = "__base__/sound/fight/flamethrower-end.ogg",
            volume = 0.7
          }
        }
      }
    },
    stack_size = 5
  }
}
)
