data:extend(
{
  {
    type = "recipe",
    name = "gatling-gun",
    enabled = "true",
    energy_required = 7.5,
    ingredients =
    {
      {"electronic-circuit", 3},
      {"steel-plate", 5},
      {"iron-plate", 2 }
    },
    result = "gatling-gun"
  },
  {
    type = "recipe",
    name = "gatling-gun-tank",
    enabled = "true",
    energy_required = 7.5,
    ingredients =
    {
      {"engine-unit", 18},
      {"steel-plate", 75},
      {"iron-gear-wheel", 25},
      {"advanced-circuit", 10},
      {"gatling-gun", 1}
    },
    result = "gatling-gun-tank"
  },
  {
    type = "recipe",
    name = "stupid-chest",
    enabled = "true",
    energy_required = 7.5,
    ingredients =
    {
      {"steel-plate", 8}
    },
    result = "stupid-chest"
  },
  {
    type = "recipe",
    name = "gatling-gun-tank",
    enabled = "true",
    energy_required = 7.5,
    ingredients =
    {
      {"engine-unit", 18},
      {"steel-plate", 75},
      {"iron-gear-wheel", 25},
      {"advanced-circuit", 10}
    },
    result = "gatling-gun-tank"
  },
  {
    type = "recipe",
    name = "worthless-armor",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"stone", 1}
    },
    result = "worthless-armor"
  },
  {
    type = "recipe",
    name = "magic",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"alien-artifact", 30}
    },
    result = "magic"
  },
  {
    type = "recipe",
    name = "Nothing",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"iron-ore", 1}
    },
    result = "nothing"
  },
  {
    type = "recipe",
    name = "pointless-iron-gear-wheel",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"iron-plate", 2}
    },
    result = "pointless-iron-gear-wheel",
    result_count = 1
  },
  {
    type = "recipe",
    name = "stupid-inserter",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"pointless-iron-gear-wheel", 5},
      {"electronic-circuit", 2}
    },
    result =
    "stupid-inserter",
    result_count = 1
  },
  {
    type = "recipe",
    name = "flame-thrower-tank",
    enabled = "true",
    energy_required = 7.5,
    ingredients =
    {
      {"engine-unit", 18},
      {"steel-plate", 75},
      {"iron-gear-wheel", 25},
      {"advanced-circuit", 10},
      {"flame-thrower", 1}
    },
    result = "flame-thrower-tank"
  },
  {
    type = "recipe",
    name = "grenade-shotgun",
    enabled = "true",
    energy_required = 5,
    ingredients =
    {
      {"steel-plate", 20},
      {"iron-gear-wheel", 5},
      {"copper-plate", 12}
    },
    result = "grenade-shotgun"
  },
  {
    type = "recipe",
    name = "stupid-robot",
    enabled = "true",
    energy_required = 5,
    ingredients =
    {
      {"flying-robot-frame", 1},
      {"electronic-circuit", 2},
      {"nothing", 1}
    },
    result = "stupid-robot"
  },
  {
    type = "recipe",
    name = "stick",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"pointless-iron-gear-wheel-center", 10}
    },
    result = "iron-stick",
    result_count = 1
  },
  
  {type = "recipe",name = "infinite wood",enabled = "true",energy_required = 0.5,ingredients ={{"raw-wood", 1}},result = "raw-wood",result_count = 2},
  
  {type = "recipe",name = "infinite stone",enabled = "true",energy_required = 0.5,ingredients ={{"stone", 1}},result = "stone",result_count = 2},
  
  {type = "recipe",name = "infinite iron",enabled = "true",energy_required = 0.5,ingredients ={{"iron-ore", 1}},result = "iron-ore",result_count = 2},
  
  {type = "recipe",name = "infinite copper",enabled = "true",energy_required = 0.5,ingredients ={{"copper-ore", 1}},result = "copper-ore",result_count = 2},
  
  {type = "recipe",name = "infinite iron plates",enabled = "true",energy_required = 0.5,ingredients ={{"iron-plate", 1}},result = "iron-plate",result_count = 2},
  
  {type = "recipe",name = "infinite copper plates",enabled = "true",energy_required = 0.5,ingredients ={{"copper-plate", 1}},result = "copper-plate",result_count = 2},
  
  {
    type = "recipe",
    name = "rocket-thrower",
    enabled = "false",
    energy_required = 20,
    ingredients =
    {
      {"rocket-launcher", 3},
      {"flame-thrower", 2},
      {"combat-shotgun", 1},
      {"explosives", 7},
      {"steel-plate", 40}
    },
    result = "rocket-thrower",
    result_count = 1
  },
  {
    type = "recipe",
    name = "rocket-thrower-rockets",
    enabled = "false",
    energy_required = 50,
    ingredients =
    {
      {"explosive-rocket", 50},
      {"explosives", 200},
      {"steel-plate", 40},
      {"alien-artifact", 25},
    },
    result = "rocket-thrower-rockets",
    result_count = 1
  },
  {
    type = "recipe",
    name = "tank-cannon",
    enabled = "false",
    energy_required = 50,
    ingredients =
    {
      {"copper-plate", 15},
      {"steel-plate", 20},
    },
    result = "tank-cannon",
    result_count = 1
  }
}
)
