data:extend(
{
{
    type = "generator-equipment",
    name = "flux-capacitor-equipment",
    sprite = 
    {
      filename = "__base2__/graphics/equipment/flux-capacitor-equipment.png",
      width = 128,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 3,
      height = 3,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "1.21GW",
    categories = {"armor"}
  },
  {
    type = "active-defense-equipment",
    name = "advanced-laser-defense-equipment",
    sprite = 
    {
      filename = "__base2__/graphics/equipment/advanced-laser-defense-equipment.png",
      width = 64,
      height = 96,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 3,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "251J"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 10,
      damage_modifier = 4,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 25,
      sound =
      {
        {
          filename = "__base2__/sound/laser.ogg",
          volume = 0.4
        }
      },
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "200J",
        projectile = "laser",
        speed = 1.5,
        action = 
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },
    automatic = true,
    categories = {"armor"}
  }
}
)
