data:extend(
{
  {
    type = "ammo",
    name = "gatling-gun-ammunition",
    icon = "__base2__/graphics/icons/gatling-gun-ammunition.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "gatling-gun-ammunition",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
        {
          type = "direct",
          repeat_count = 1,
          action_delivery =
          {
            type = "projectile",
            projectile = "gatling-bullet",
            starting_speed = 0.55,
            direction_deviation = 0.1,
            range_deviation = 0.1,
            max_range = 25
          }
        }
    },
    magazine_size = 250,
    subgroup = "ammo",
    order = "a[basic-clips]-b[gatling-gun-ammunition]",
    stack_size = 2
  },
  {
    type = "ammo",
    name = "magic-ball",
    icon = "__base2__/graphics/icons/magic-ball.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "magic",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "magic",
          starting_speed = 0.2,
          source_effects =
          {
            type = "create-entity",
            entity_name = "explosion-gunshot"
          }
        }
      }
    },
    subgroup = "ammo",
    order = "a[basic-magic]-b[magic]",
    stack_size = 200
  },
  {
    type = "ammo",
    name = "grenade-shotgun-ammo",
    icon = "__base__/graphics/icons/grenade.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "grenades",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
        {
          type = "direct",
          repeat_count = 10,
          action_delivery =
          {
            type = "projectile",
            projectile = "grenade",
            starting_speed = 0.3,
            direction_deviation = 0.3,
            range_deviation = 0.3,
            max_range = 20
          }
        }
    },
    magazine_size = 5,
    subgroup = "ammo",
    order = "d[grenade-shotgun]-a[basic]",
    stack_size = 50
  },
  {
    type = "ammo",
    name = "cluster-grenade-shotgun-ammo",
    icon = "__base__/graphics/icons/cluster-grenade.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "grenades",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
        {
          type = "direct",
          repeat_count = 10,
          action_delivery =
          {
            type = "projectile",
            projectile = "cluster-grenade",
            starting_speed = 0.3,
            direction_deviation = 0.7,
            range_deviation = 0.3,
            max_range = 20
          }
        }
    },
    magazine_size = 5,
    subgroup = "ammo",
    order = "d[grenade-shotgun]-b[cluster]",
    stack_size = 50
  },
  {
    type = "ammo",
    name = "rocket-thrower-rockets",
    icon = "__base__/graphics/icons/explosive-rocket.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "i-said-no",
      target_type = "direction",
      action =
      {
        type = "direct",
        repeat_count = 3,
        action_delivery =
        {
          type = "projectile",
          projectile = "no-rocket",
          starting_speed = 0.1,
          direction_deviation = 0.3,
          range_deviation = 0.3,
          source_effects =
          {
            type = "create-entity",
            entity_name = "explosion-hit"
          }
        }
      }
    },
    magazine_size = 25,
    subgroup = "ammo",
    order = "d[i-said-no]-b[explosive]",
    stack_size = 10
  }
}
)
